/*

  Author(s): Ilja V. Ryndin (ryndin@pinebrush.com)

  Start date: *

*/

#ifndef POPUPLISTWIDGET_H
#define POPUPLISTWIDGET_H

#include "parsec_common_qt5_global.h"

#include <QListWidget>

namespace ParsecQt5
{
    class PARSEC_COMMON_QT5_EXPORT PopupListWidget : public QListWidget
    {
    Q_OBJECT

    public:

        PopupListWidget( QWidget *parent = 0 );
        virtual ~PopupListWidget();

        void popup();

    signals:
        void editingFinished();

    protected:
        void leaveEvent( QEvent *e );
    };
}

#endif // POPUPLISTWIDGET_H
